Subject: Re: [PATCH] git-daemon: timeout, eliminate double DWIM

From: Petr Baudis <[email-masked]>
Date: Thu, 20 Oct 2005 02:28:45 +0200

Dear diary, on Wed, Oct 19, 2005 at 08:54:34PM CEST, I got a letter
where "H. Peter Anvin" <[email-masked]> told me that...
> diff --git a/daemon.c b/daemon.c
> --- a/daemon.c
> +++ b/daemon.c
> @@ -13,7 +13,9 @@
>  static int log_syslog;
>  static int verbose;
>  
> -static const char daemon_usage[] = "git-daemon [--verbose] [--syslog] [--inetd | --port=n] [--export-all] [directory...]";
> +static const char daemon_usage[] =
> +"git-daemon [--verbose] [--syslog] [--inetd | --port=n] [--export-all]\n"
> +"           [--timeout=n] [--init-timeout=n] [directory...]";
>  
>  /* List of acceptable pathname prefixes */
>  static char **ok_paths = NULL;

You didn't update Documentation/git-daemon.txt.

> diff --git a/upload-pack.c b/upload-pack.c
> --- a/upload-pack.c
> +++ b/upload-pack.c
> @@ -4,13 +4,19 @@
>  #include "tag.h"
>  #include "object.h"
>  
> -static const char upload_pack_usage[] = "git-upload-pack <dir>";
> +static const char upload_pack_usage[] = "git-upload-pack [--strict] [--timeout=nn] <dir>";

Ditto.

After being confronted with incomplete documentation again just minutes
ago (will send patch soon), I think I'm going to start to be annoying
and watch patches for this issue specifically. ;-)

-- 
				Petr "Pasky" Baudis
Stuff: http://pasky.or.cz/
VI has two modes: the one in which it beeps and the one in which
it doesn't.